Subject: Re: UCC interactions

From: Gary Thomas <[email-masked]>
Date: Mon, 21 Jun 2010 14:23:35 -0600

On 06/21/2010 01:19 PM, Steven Blakeslee wrote:
> I believe the offset for UCC3 is wrong.  The usermanual says UCC3's
> registers are at 0x2200-0x23FF.  0x4000 is SDMA.  Hope that helps.

Looks like that was it (not sure where I got that value from!)

Thanks

>> -----Original Message-----
>> From:
> linuxppc-dev-bounces+blakeslees=[email-masked]
>> [mailto:linuxppc-dev-
>> bounces+blakeslees=[email-masked]] On Behalf Of
> Gary
>> Thomas
>> Sent: Monday, June 21, 2010 3:00 PM
>> To: Linux PPC Development
>> Subject: UCC interactions
>>
>> I'm running 2.6.33.3 on MPC8358.  I have UCC1+UCC2 working fine
>> for ethernet, but when I add UCC3 as a UART, the network devices
>> quit working.
>>
>> Here are my device tree entries:
>>            /* ETH0 (UCC1, MDIO 0x02, RMII) */
>>            enet_eth0: ethernet@2000 {
>>               device_type = "network";
>>               compatible = "ucc_geth";
>>               cell-index =<1>;
>>               reg =<0x2000 0x200>;
>>               interrupts =<32>;
>>               interrupt-parent =<&qeic>;
>>               local-mac-address = [ 00 00 00 00 00 00 ];
>>               rx-clock-name = "none";
>>               tx-clock-name = "clk16";
>>               phy-handle =<&phy_eth0>;
>>               phy-connection-type = "rmii";
>>               pio-handle =<&pio_ucc1>;
>>               linux,network-index =<0>;
>>            };
>>
>>            /* ETH1 (UCC2, MDIO 0x01, GMII) */
>>            enet_eth1: ethernet@3000 {
>>               device_type = "network";
>>               compatible = "ucc_geth";
>>               cell-index =<2>;
>>               reg =<0x3000 0x200>;
>>               interrupts =<33>;
>>               interrupt-parent =<&qeic>;
>>               local-mac-address = [ 00 00 00 00 00 00 ];
>>               rx-clock-name = "clk4";
>>               tx-clock-name = "none";
>>               fixed-link =<1 1 1000 0 0>;
>>               phy-connection-type = "gmii";
>>               pio-handle =<&pio_ucc2>;
>>               linux,network-index =<1>;
>>            };
>>
>>            /* ttyQE0 (UCC3) */
>>            serial_qe0: serial@4000 {
>>               device_type = "serial";
>>               compatible = "ucc_uart";
>>               cell-index =<3>;
>>               reg =<0x4000 0x200>;
>>               interrupts =<34>;
>>               interrupt-parent =<&qeic>;
>>               port-number =<0>;
>>               rx-clock-name = "brg1";
>>               tx-clock-name = "brg1";
>>            };
>>
>> Are there known interactions between these two drivers/ports?
>> Maybe there's something obviously wrong with my device tree?
>>
>> Thanks for any ideas/pointers
>>
>> --
>> ------------------------------------------------------------
>> Gary Thomas                 |  Consulting for the
>> MLB Associates              |    Embedded world
>> ------------------------------------------------------------
>> _______________________________________________
>> Linuxppc-dev mailing list
>> [email-masked]
>> https://lists.ozlabs.org/listinfo/linuxppc-dev
>
> --
> ExchangeDefender Message Security: Click below to verify authenticity
> http://www.exchangedefender.com/verify.asp?id=o5LJJcQU009752&from=[email-masked]

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------